Hulpartikel overzicht

Hulpartikel

Plesk: Ik wil de PHP-versie updaten

Onze voorgeïnstalleerde versie van Plesk komt standaard met CentOS als onderliggend besturingssysteem. CentOS gebruikt standaard vaak wat oudere versies van software (wel met recente security-updates) omdat het stabiliteit verkiest boven nieuwe features. Daarom ligt bijvoorbeeld de standaard PHP-versie vaak ook een aantal versies achter op wat er beschikbaar is. Wanneer je dan ook gebruik wilt maken van bijvoorbeeld PHP 7, zul je eerst zelf dit moeten inschakelen op jouw VPS.

Belangrijk om te weten!
- Het is niet zonder risico om de PHP-versie van jouw VPS te updaten. Maak dan ook altijd eerst een snapshot zodat je bij problemen hierop kunt terugvallen.
- Het is mogelijk om via de reguliere yum update een andere versie van PHP te verkrijgen. Hiervoor heb je wel een extra repository nodig, omdat de standaard CentOS repository geen 'nieuwe' versies bevat. Kijk voor meer informatie over het installeren daarvan op Webtatic.com. Dit is ook van belang indien je wilt dat het OS zelf een andere versie van PHP draait, bijvoorbeeld omdat je hier via SSH gebruik van wilt maken.
- De huidige versie van PHP kun je altijd controleren via php -v in de console.

Stap 1: Controleer de beschikbare PHP-versies
PHP Settings
  • Onder de optie PHP Settings (onder Tools & Settings) zie je alle huidige PHP-versies en 'interpreters' die beschikbaar zijn.
Voeg andere PHP-versies toe
  • Mocht de versie welke je wilt gebruiken er niet tussen staan, dan kun je deze via de Plesk Installer toevoegen (met uitzondering van sterk verouderde versies). Ga hiervoor naar de optie Updates and Upgrades onder Tools & Settings.
  • Voeg daar de extra versies toe en sla deze wijziging op.

Stap 2: PHP updaten
De huidige PHP-versie
  • Wanneer je onder Websites & Domains naar jouw website gaat, zie je onder PHP Settings de huidige PHP-versie van dit domein terug.
De PHP-versie aanpassen
  • Wanneer je op PHP Settings klikt kun je vervolgens via een 'dropdown' menu de PHP-versie aanpassen. Ook kun je hier bepaalde PHP-limieten zoals het maximale PHP geheugen instellen. Pas dit naar wens aan en klik onderaan de pagina op Apply en Ok.
  • Jouw website maakt nu gebruik van een andere PHP-versie!

Heb je een goed idee?

Stuur jouw idee in! Met genoeg stemmen komt jouw idee op onze wishlist!

Heeft dit artikel je geholpen?

Maak een account aan of log in om een beoordeling achter te laten.

Reacties

Maak een account aan of log in om een reactie te plaatsen.

Kom je er niet uit?

Ontvang persoonlijke hulp van onze supporters

Neem contact op